Subject: RE:Re: Electric Product RTN Shipping Label #Ref 2021052600091093
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 27 May 2021 14:22:26 -0700

Hello Tracey,

I have tried to call your Brother, no answer and unable to leave a VM.  Please let him know that he does not need to return the defective mattress back.  I will be sending a replacement to him.  I have no othter way to get in touch with him

Please reply back that you  have or were able to reach out to your brother.

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

===============================================================================

Hello,  Erlinda,

This is disappointing, however, tomorrow  I will send him the label priority mail from California which will take several days to arrive, then we will try and figure out how to get FedEx to pick up a package in his town, population 900 in rural Michigan. He has a washing machine, he can wash the pad prior I will advise him to do that while he is waiting for the label to arrive.

Meanwhile I will explain to friends and family why I will never buy another Beautyrest product again regardless of the outcome of all this effort as it seems pretty ridiculous given the $140.00 I spent in Feb so my elderly brother could stay warm. I’m tempted to dispute the credit card charge for the pad and will look into that next. Having already placed a review on Amazon where it was purchased.

Certainly I appreciate all your time spent on the phone with him, your creating a return label and whatever else for this useless product purchased Feb 8 of this year. I give up… I’ve ordered him a replacement Sunbeam since he obviously needs other options. Of course theirs are also poorly made in China so we will get an additional 3rd unit as a spare and I guess, just keep them in rotation. Not the most environmentally sustainable approach but I get it, this is what civilization has come to, no doubt it could* be worse.

Once again, I do thank you for your kind attention, to my brother who is suffering health problems, that is much appreciated. T Kolinger

On May 26, 2021, at 2:47 PM, Customer Service [email-masked] <[email-masked]> wrote:

Hello Tracy,

Per my conversation with your Brother Charles, yesterday, we are requiring him to return his electric mattress pad for testing.  Attached to this  email is the return shipping label.  Charles, mentioned you would get to him.

I did let Charles know once the mattress pad has been tested I will let him know of the outcome.

Please inform Charles the mattress pad needs to be returned washed / cleaned for testing this is required.  No electric products will be tested if not received cleaned.  Thank you.

Thank you,

Erlinda

Senior Customer
Service Rep

Designer Living
& Electric Product

E&E Co.